HomeGuidesAPI ReferenceGuidesMRT APIConfiguration API
GitHubAirheads Developer Community
API Reference

List Unified Clients

This API endpoint retrieves a list of Clients, based on the query parameters provided. Clients list includes details like clientName, status, clientConnectionType, etc., The query parameters allow you to narrow down the results that meet specific criteria, ensuring you receive only the relevant data.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

The ID of the site from which the clients are to be retrieved.

string

The name of the site from which the clients are to be retrieved.

string

Specifies the device identifier.

string

Start timestamp in RFC 3339 date-time string. Must be less than end-at. The interval between start-at and end-at must be ≤ 1 month. Default is end-at - 3 hours. The query parameters start-at and end-at only impacts failed clients.

string

End timestamp in RFC 3339 date-time string. Must be greater than start-at, and the interval between start and end must be <= 1 month. Default is current timestamp.

string
Defaults to status eq 'Connected'

OData Version 4.0 filter string (limited functionality). Supports only 'and' conjunction ('or' and 'not' are NOT supported). By default, status eq 'Connected' filter is applied. To retrieve clients with a different status, explicitly specify the status in the filter. If other filters are provided without status, the default connected status filter is still applied. Supported fields and operators are in the below given table.

FieldOperators
clientConnectionTypeeq and in
statuseq and in
wlanNameeq and in
vlanIdeq and in
tunnelTypeeq and in
roleeq and in

The operators are implemented as follows:

  • eq: Only values exactly matching the given value are returned.
  • in: Only values present in the given list are returned.

List of applicable filters for field and terms:

FieldApplicable Terms
clientConnectionType["Wired", "Wireless"]
status["Connected", "Failed"]
wlanNamestring
vlanIdstring
tunnelType["Port-based", "User-based", "Overlay"]
rolestring
string
length ≤ 256

Sort field followed by a direction indicator ASC (ascending) or DESC (descending). Supported fields are clientName,status,clientConnectionType,macAddress,ipv4,ipv6,connectedDeviceSerial,connectedTo,lastSeenAt,port,role,wlanName,vlanId,tunnelType,tunnelId,connectedAt

string
≥ 1
Defaults to 1

Specifies the pagination cursor for the next page of resources. Minimum value is 1

integer
1 to 1000
Defaults to 100

Maximum number of clients to be retrieved. Allowed range is 1 to 1000.

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json